﻿/*  Copyright (C) MOXA Inc. All rights reserved.

    This software is distributed under the terms of the
    MOXA License.  See the file COPYING-MOXA for details.
*/

using System;
using System.Collections.Generic;
using System.Text;
using moxa;

namespace LED
{
    class Program
    {
        static void Main(string[] args)
        {
            int i = 0;
            int port = 0, value = 0;
            string sled = "";

            System.Console.WriteLine("Digitial In/Out Test Program");
            System.Console.WriteLine("\t (0) Exit Program");
            System.Console.WriteLine("\t (1) Display LED");
            System.Console.WriteLine("\t (2) Set LED value");
           

            // read a char.
            string sin = System.Console.ReadLine();
            int n = int.Parse(sin);

            moxa.mxgpio.gpio gpio= new moxa.mxgpio.gpio();
            if (!gpio.mxgpio_open())
            {
                System.Console.WriteLine("Unable to open device.\n");
                return;
            }

            do
            {
                switch (n)
                {
                    // if char == '1', display the LED0 ~ LED7
                    case 1:
                        for (i = 0; i < 8; i++)
                        {
                            value = gpio.mxgpio_get_data(i);
                            System.Console.WriteLine("Din{0}={1}", i, value);
                        }
                        break;
                    // if char == '2', Set teh LED value
                    case 2:
                        // read port Nnmber from console
                        System.Console.Write("Input the LED Port Number (0 ~ 7) = ");
                        sled = System.Console.ReadLine();
                        port = int.Parse(sled);

                        // read port value from console
                        System.Console.Write("Input the LED value (0 or 1) = ");
                        sled = System.Console.ReadLine();
                        value = int.Parse(sled);

                        System.Console.WriteLine("Set LED{0}={1}", port, value);

                        if (!gpio.mxgpio_set_data(port,value))
                        {
                            System.Console.WriteLine("mxgpio_set_data fail!");
                            break;
                        }
                        break;

                    default:
                        break;
                }
                sin = System.Console.ReadLine();
                try
                {
                    n = int.Parse(sin);
                }
                catch
                {
                    n = 0;
                }
            } while (n != 0);

            gpio.mxgpio_close();
            gpio = null;
        }
    }
}
