﻿/*  Copyright (C) MOXA Inc. All rights reserved.

    This software is distributed under the terms of the
    MOXA License.  See the file COPYING-MOXA for details.
*/

using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;
using moxa;

namespace UartMode
{
    class Program
    {
        public enum SerialMode : byte
        {
            RS232_MODE = 0x0,
            RS485_2WIRE_MODE = 0x1,
            RS422_MODE = 0x2,
            RS485_4WIRE_MODE = 0x3
        }

        static void Main(string[] args)
        {
            int nPort;
            int nMode;
            nPort = 1;
            nMode =1;
            string smode;

            

            System.Console.WriteLine("UART Mode Test Program");
            System.Console.WriteLine("\t (0) Exit Program");
            System.Console.WriteLine("\t (1) Display UART Mode");
            System.Console.WriteLine("\t (2) Set  UART Mode");

            //read a char.
            string sin = System.Console.ReadLine();
            int n = int.Parse(sin);

            moxa.mxsp.serial serial = new moxa.mxsp.serial();
            
            do
            {
                switch (n)
                {
                    // if char == '1', display current mode
                    case 1:
                        
                        System.Console.Write("Input the Port Number (1~8) = ");
                        smode = System.Console.ReadLine();
                        nPort = int.Parse(smode);

                        //open port
                        serial.mxsp_open(nPort);
                        
                        //Get current interface
                        nMode=serial.mxsp_get_interface();

                        //close port
                        serial.mxsp_close();

                        System.Console.WriteLine("COM{0}={1}", nPort, (SerialMode)nMode);
                       
                        break;
                    // if char == '2', set uart mode
                    case 2:
                        System.Console.Write("Input the Port Number (1~8) = ");
                        smode = System.Console.ReadLine();
                        nPort = int.Parse(smode);

                        //open port
                        serial.mxsp_open(nPort);

                        // read port value from console
                        System.Console.Write("Input the Mode value (0 ~ 3) = ");
                        smode = System.Console.ReadLine();
                        nMode = int.Parse(smode);

                        //Set uart mode
                        serial.mxsp_set_interface(nMode);
                      
                        //Check if we set uart mode sucessfully
                        nMode = serial.mxsp_get_interface();

                        //close port
                        serial.mxsp_close();

                        System.Console.WriteLine("COM{0}={1}", nPort, (SerialMode)nMode);
                        break;
                                               
                  }
                  sin = System.Console.ReadLine();
                  try
                  {
                      n = int.Parse(sin);
                  }
                  catch
                  {
                      n = 0;
                  }
              } while (n != 0);
         }
    }
}
