/*++

Copyright (c) 1990-2000 Microsoft Corporation, All Rights Reserved
 
Module Name:

    gpioctl.h  

Abstract:   Include file for Generic Port I/O Example Driver


Author:    Robert R. Howell  January 8, 1993


Revision History:

 Robert B. Nelson (Microsoft)     March 1, 1993

--*/

//#if     !defined(__GPIOCTL_H__)
//#define __GPIOCTL_H__

//
// Define the IOCTL codes we will use.  The IOCTL code contains a command
// identifier, plus other information about the device, the type of access
// with which the file must have been opened, and the type of buffering.
//

//
// Device type           -- in the "User Defined" range."
//

#define GPD_TYPE 40000

// The IOCTL function codes from 0x800 to 0xFFF are for customer use.



#define IOCTL_GPIO_SET \
    CTL_CODE(GPD_TYPE,  0x911, METHOD_BUFFERED, FILE_WRITE_ACCESS)

#define IOCTL_GPIO_GET \
    CTL_CODE(GPD_TYPE,  0x912, METHOD_BUFFERED, FILE_READ_ACCESS)

#define IOCTL_GPIO_SET_IO \
    CTL_CODE(GPD_TYPE,  0x913, METHOD_BUFFERED, FILE_WRITE_ACCESS)

#define IOCTL_START_WDG \
    CTL_CODE(GPD_TYPE,  0x914, METHOD_BUFFERED, FILE_WRITE_ACCESS)

#define IOCTL_REFRESH_WDG \
    CTL_CODE(GPD_TYPE,  0x915, METHOD_BUFFERED, FILE_WRITE_ACCESS)

#define IOCTL_STOP_WDG \
    CTL_CODE(GPD_TYPE,  0x916, METHOD_BUFFERED, FILE_WRITE_ACCESS)


//#endif

